<script setup lang="ts">
import { reactive } from 'vue'
import { Bar } from 'vue-chartjs'
import axios from 'axios'
import {
  Chart as ChartJS,
  Title,
  Tooltip,
  Legend,
  BarElement,
  CategoryScale,
  LinearScale
} from 'chart.js'

// onMounted(() => {
//     await getReport()
// })
async function getReport() {
  const res = await axios.get('http://localhost:4000/report/report')
  console.log(res)
}
ChartJS.register(Title, Tooltip, Legend, BarElement, CategoryScale, LinearScale)

const chartData = reactive({
  labels: [
    'January',
    'February',
    'March',
    'April',
    'May',
    'June',
    'July',
    'August',
    'September',
    'October',
    'November',
    'December'
  ],
  datasets: [
    {
      label: 'ค่าน้ำค่าไฟของแต่ละเดือน',
      backgroundColor: '#f87979',
      data: [40, 20, 12, 39, 10, 40, 39, 80, 40, 20, 12, 11]
    }
  ]
})
const chartOptions = reactive({
  responsive: true,
  maintainAspectRatio: false
})
</script>
<template>
  <div style="background-color: whitesmoke">
    <Bar id="my-chart-id" :options="chartOptions" :data="chartData" width="1000" />
  </div>
</template>
